## lazarus 1.4.4+dfsg

=== debian/changelog ===
lazarus (1.4.4+dfsg-2mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 20 Mar 2016 19:37:21 -0700

lazarus (1.4.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Drop requirement on fpc 3 again

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Nov 2015 05:29:39 +0100

lazarus (1.4.4+dfsg-1) experimental; urgency=medium

  [ Abou Al Montacir ]
  * Added help CSS style file to packaged files list.
  * Moved docs/* files to arch independent files default location.

  [ Paul Gevers ]
  * New upstream release
  * Drop patches applied upstream
  * Convert add-revision-inc.diff into d/rules command (it wasn't updated
    properly in the past)
  * Try to get lazarus to build reproducible
  * Build against fpc 3.0.0 while we are in experimental

 -- Paul Gevers <elbrus@debian.org>  Fri, 06 Nov 2015 12:10:56 +0100

lazarus (1.4.0+dfsg-5) unstable; urgency=medium

  * Do not write fpc linker flags when LDFLAGS is empty

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 21:14:30 +0200

lazarus (1.4.0+dfsg-4) unstable; urgency=medium

  * Temporarily disable '-z relro' for armel and armhf builds
    to work around problem of builds stalling (Closes: #793991)

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 08:31:02 +0200
