=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Carlos Laviola <claviola@debian.org>,
           Abou Al Montacir <abou.almontacir@sfr.fr>,
           Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               fp-utils,
               fpc,
               fpc-source,
               imagemagick,
               libgtk2.0-dev,
               libqt4pas-dev,
               po-debconf,
               rdfind,
               symlinks
Vcs-Git: git://anonscm.debian.org/pkg-pascal/lazarus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/lazarus.git
Homepage: http://www.lazarus.freepascal.org

Package: lazarus-1.4.4
Architecture: all
Depends: lazarus-doc-1.4.4 (>= ${source:Version}),
         lazarus-ide-1.4.4 (>= ${source:Version}),
         lazarus-src-1.4.4 (>= ${source:Version}),
         ${misc:Depends}
Recommends: fpc,
            fpc-source
Suggests: fp-docs,
          fp-utils
Provides: lazarus
Breaks: lazarus (<< 0.9.28.2-13)
Replaces: lazarus (<< 0.9.18.2-13)
Description: IDE for Free Pascal - suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage pulls in all the packages needed to have a typical
 Lazarus installation.

Package: lazarus-src-1.4.4
Architecture: all
Depends: ${misc:Depends}
Suggests: lazarus-ide-1.4.4
Provides: lazarus-src
Breaks: lazarus-src (<< 0.9.28.2-13)
Replaces: lazarus-src (<< 0.9.18.2-13)
Description: IDE for Free Pascal - LCL source code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the latest version of the source code necessary for
 the IDE code tool to work properly (retrieving declarations and navigating
 in code).

Package: lazarus-ide-1.4.4
Architecture: any
Depends: fp-compiler,
         lazarus-ide-gtk-1.4.4 | lazarus-ide-qt-1.4.4,
         lazarus-src-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide
Breaks: lazarus-ide (<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13)
Description: IDE for Free Pascal - common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the common files required to run Lazarus IDE.

Package: lazarus-ide-gtk2-1.4.4
Architecture: any
Depends: lazarus-ide-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-gtk-1.4.4,
          lazarus-ide-gtk2
Breaks: lazarus-ide (<< 0.9.28.2-13),
        lazarus-ide-gtk2 (<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13),
          lazarus-ide-gtk2 (<< 0.9.28.2-13)
Description: IDE for Free Pascal - GTK+ version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the GTK+ version of the Lazarus IDE.

Package: lazarus-ide-qt4-1.4.4
Architecture: any
Depends: lazarus-ide-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
            lcl-1.4.4
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-qt-1.4.4,
          lazarus-ide-qt4
Breaks: lazarus-ide (<< 0.9.28.2-13),
        lazarus-ide-qt4(<< 0.9.28.2-13)
Replaces: lazarus-ide (<< 0.9.28.2-13),
          lazarus-ide-qt4 (<< 0.9.28.2-13)
Description: IDE for Free Pascal - Qt version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the Qt version of the Lazarus IDE.

Package: lcl-1.4.4
Architecture: any
Depends: lcl-units-1.4.4,
         lcl-utils-1.4.4,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl
Breaks: lcl (<< 0.9.28.2-13)
Replaces: lcl (<< 0.9.28.2-13)
Description: Lazarus Components Library - LCL suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage installs the full LCL and components.

Package: lcl-utils-1.4.4
Architecture: any
Depends: fp-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lazarus-ide-1.4.4,
            lcl-1.4.4
Provides: lcl-utils
Breaks: lcl-utils (<< 0.9.28.2-13)
Replaces: lcl-utils (<< 0.9.28.2-13)
Description: Lazarus Components Library - command line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL based
 applications.

Package: lcl-units-1.4.4
Architecture: any
Depends: lcl-gtk2-1.4.4 (= ${binary:Version}) | lcl-qt4-1.4.4 (= ${binary:Version}),
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl-units
Breaks: lcl-units (<< 0.9.28.2-13)
Replaces: lcl-units (<< 0.9.28.2-13)
Description: Lazarus Components Library - backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains common components of the LCL.

Package: lcl-nogui-1.4.4
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-rtl,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-1.4.4
Suggests: gdb
Provides: lcl-nogui
Breaks: lcl-nogui (<< 0.9.28.2-13),
        lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-nogui (<< 0.9.28.2-13),
          lcl-units-1.2 (<=1.2~rc+dfsg-1)
Description: Lazarus Components Library - no GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
