=== debian/changelog ===
lazarus (1.6+dfsg-5ubuntu2) zesty; urgency=medium

  * Fix build in Ubuntu, with NO_PKG_MANGLE
    thanks <cjwatson> for the fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Nov 2016 09:23:47 +0100

lazarus (1.6+dfsg-5) unstable; urgency=medium

  * d/rules+control: replace bu:version by Build-Using as Ubuntu fails to
    properly build otherwise
  * Prevent missing lpk files in components: temporary solution for
    #823706
  * Bump compat level to 10
  * Rearrange target dependencies and move dh_install to binary target to
    let --list-missing work better. Split install directories in d/rules
    for arch/indep to prevent double installation of files which would
    otherwise happen due to this rearrangement.
  * Simplify logic for lintian-overrides creation & installation
  * Add first debci test: build most *.lpk packages as shipped
  * Update d/copyright with a statement about the claimed license of
    limacho.pas

 -- Paul Gevers <elbrus@debian.org>  Fri, 11 Nov 2016 17:37:29 +0100

lazarus (1.6+dfsg-4) unstable; urgency=medium

  * Built-Using must mention a source package, not binary package
  * d/s/timestamps was not updated with the files from the typo fix cause
    lazarus to build non-reproducible

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Jun 2016 07:10:06 +0200

lazarus (1.6+dfsg-3) unstable; urgency=medium

  * Reorganize dependency tree (LP: #1584302)
  * Fix timestamp of patched file for reproducible builds
  * Track with which version of fpc lazarus was build as it is still
    linked statically
  * Bump Standards (no changes)
  * Fix typo in previous changelog
  * Drop Torsten Werner from uploaders: thanks for all the fish
  * Add lintian_detected_spelling_errors.patch

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Jun 2016 08:54:22 +0200

lazarus (1.6+dfsg-2) unstable; urgency=medium

  * Fixed a bug causing code help to handle only lower case file names.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Mar 2016 09:57:15 +0100

lazarus (1.6+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (named 1.6 iso upstream 1.6.0 to be in line with
    the release candidates)
  * Update Vcs-* fields to use https
  * Bump standards (no changes)

 -- Paul Gevers <elbrus@debian.org>  Tue, 01 Mar 2016 20:55:33 +0100

lazarus (1.6~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete fix_some_typos_found_by_lintian.patch, applied upstream

 -- Paul Gevers <elbrus@debian.org>  Wed, 27 Jan 2016 21:19:43 +0100

lazarus (1.6~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright
    - Refresh d/control
  * Enable '-z relro' again on arm* now that fpc is fixed, requires fpc >3
    (Closes: #798089)
  * Fix several minor issues reported by Lintian:
    - Typo in d/copyright
    - Add fix_some_typos_found_by_lintian.patch
    - Add add_sh-bang_to_sh_scripts.patch
    - Typo's in overrides

 -- Paul Gevers <elbrus@debian.org>  Mon, 11 Jan 2016 20:30:29 +0100
