=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,13 @@
 # debian/rules for Lazarus
 
 DEB_PACKAGE_NAME = lazarus
+export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
+
+# Disable package mangling in Launchpad; it currently fails to parse
+# Built-Using, which results in build failures
+export NO_PKG_MANGLE=1
 
 # Documentation type to use chm/html
 ifeq (${DEBDOCTYPE},)
@@ -33,11 +38,13 @@
 export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
 endif
 # Get directories
-INSTALL_DIR=${CURDIR}/debian/tmp
-BIN_DIR=${INSTALL_DIR}/usr/bin
-LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
-DOC_DIR=${INSTALL_DIR}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
-SRC_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+INSTALL_DIR_ARCH=${CURDIR}/debian/tmp
+INSTALL_DIR_INDEP=${CURDIR}/debian/tmp2
+BIN_DIR=${INSTALL_DIR_ARCH}/usr/bin
+LIB_DIR=${INSTALL_DIR_ARCH}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+DOC_DIR=${INSTALL_DIR_INDEP}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+DOC_DIR_ARCH=${INSTALL_DIR_ARCH}/usr/share/doc/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
+SRC_DIR=${INSTALL_DIR_INDEP}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
 # Get utils
 ifndef MKDIR
 MKDIR=mkdir -p
@@ -60,7 +67,7 @@
 DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
 DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
 BUILDOPTS=USESVN2REVISIONINC=0 OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
-INSTALLOPTS=PREFIX=$(INSTALL_DIR)/usr
+INSTALLOPTS=PREFIX=$(INSTALL_DIR_ARCH)/usr
 endif
 ifndef LAZBUILD
 export LAZBUILD=${CURDIR}/lazbuild --lazarusdir=../..
@@ -69,14 +76,8 @@
 DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
-LDFLAGS=$(strip $(shell dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
-
-# Temporarily disable '-z relro' for armel and armhf builds
-# to work around problem of builds stalling (bug #793991)
-DEB_HOST_ARCH ?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
-LDFLAGS:=$(shell echo $(LDFLAGS) | sed -e 's/-z relro//g')
-endif
+LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
+	dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
 
 # Until we switch to shorthand dh, we need to set this ourselves for
 # reproducible builds
@@ -92,6 +93,8 @@
 	dh_clean
 	# Make sure the debconf translations are always up-to-date
 	debconf-updatepo
+	# Make sure the list with timestamps is up-to-date
+	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps update
 
 clean-patched: make-files
 	@echo "--- Cleaning"
@@ -135,6 +138,7 @@
 	# Add version.inc:
 	echo \'$(DEB_VERSION)\' > ide/version.inc
 	# For reproducible builds, we need the above file to have a fixed timestamp
+	# Not added to debian/source/timestamps to keep that auto-updateable for now.
 	touch --no-dereference --date="@$${SOURCE_DATE_EPOCH}" ide/version.inc
 
 	# The next line adds the revision.inc file which is missing in upstream sources
@@ -142,6 +146,11 @@
 	# http://svn.freepascal.org/cgi-bin/viewvc.cgi/tags/?root=lazarus
 	# But let's put something there describes better what the status is.
 	echo const RevisionStr = \'Debian package $(DEB_VERSION)\'\; > ide/revision.inc
+
+	# Now that we are done with all changes to files in the packaging, let's
+	# make sure that all the timestamps are reproducible.
+	fp-fix-timestamps touch
+
 	touch configure-stamp
 
 build-arch: debian-files configure build-arch-stamp
@@ -156,7 +165,7 @@
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
 	touch build-arch-stamp
 
-install-arch: build-arch install-arch-stamp
+install-arch: build-arch install-arch-stamp install-man
 install-arch-stamp:
 	@echo "--- Installing"
 	dh_testdir
@@ -193,30 +202,19 @@
 	# Install packages global links
 	${CP} -t ${LIB_DIR}/packager $(CURDIR)/packager/globallinks
 	# copy icons and menu entries for the GNOME menu
-	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
-	${MKDIR} $(INSTALL_DIR)/usr/share/applications
+	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/pixmaps
+	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/applications
 	# the following source file is not completely correct, it produces a
 	# warning in imagemagick
-	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
-	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
+	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
+	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
-	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
-	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
+	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
+	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
 	# Install contributer list
-	${MKDIR} ${DOC_DIR}/docs
-	${CP} -t ${DOC_DIR}/docs \
+	${MKDIR} ${DOC_DIR_ARCH}/docs
+	${CP} -t ${DOC_DIR_ARCH}/docs \
 		$(CURDIR)/docs/lazdoc.css \
 		$(CURDIR)/docs/Contributors.txt \
 		$(CURDIR)/docs/contributors.utf8 \
-		$(CURDIR)/docs/acknowledgements.txt
-	# Install lintian override files
-	set -x -e ; cd debian/overrides ; for PACKAGE in * ; do \
-	  if [ -d ../$${PACKAGE}${PACKAGESUFFIX} ] ; \
-	  then \
-	  	${MKDIR} ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides ; \
-	    sed -e "s/$${PACKAGE}/&${PACKAGESUFFIX}/g" $${PACKAGE} > ../$${PACKAGE}${PACKAGESUFFIX}/usr/share/lintian/overrides/$${PACKAGE}${PACKAGESUFFIX} ; \
-	  fi ; \
-	done
-ifeq (${DEB_BUILD},0)
-	# We are building upstream debs, install override files for build = 0
