=== debian/tests/control ===
Tests: build-lpk-lpi
Depends: @
