## lazarus 1.6.2+dfsg

=== debian/changelog ===
lazarus (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
  * Change package suffix logic to contain the major.minor part of the
    version number only as upstream calls this a bugfix release
  * Update d/copyright with upstream information of icons
  * Mark lazarus-doc-* and lazarus-src-* as Multi-Arch: foreign as
    suggested by the hinter
  * Refresh lintian_detected_spelling_errors.patch (partially applied
    upstream)
  * Drop Carlos Laviola from uploaders: thanks for all the fish

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Dec 2016 08:40:55 +0100

lazarus (1.6+dfsg-6) unstable; urgency=medium

  * Previous upload enabled bindnow for hardening (accidentilly not
    mentioned in this changelog).
  * Strip -specs=/usr/share/dpkg/*.specs from the LDFLAGS as fpc can't
    handle this as a linking option resulting in FTBFS on powerpc.
  * debci test was missing build-depends
  * Fix clean target as one can't add a directory to d/clean
  * Remove macho.pas entry from previous upload, it was already correctly
    mentioned

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Nov 2016 21:44:07 +0100
