=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Carlos Laviola <claviola@debian.org>,
+Uploaders:
            Abou Al Montacir <abou.almontacir@sfr.fr>,
            Paul Gevers <elbrus@debian.org>
 Standards-Version: 3.9.8
@@ -54,6 +54,7 @@
 
 Package: lazarus-src-1.6
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: lazarus-ide-1.6
 Provides: lazarus-src
@@ -309,3 +310,4 @@
 Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Built-Using: fpc (= ${Build-Using})
 Description: Lazarus Components Library - GTK+ backend
+ Lazarus is an IDE to create (graphical and console) applications with Free
