=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
-
-# Disable package mangling in Launchpad; it currently fails to parse
-# Built-Using, which results in build failures
-export NO_PKG_MANGLE=1
 
 # Documentation type to use chm/html
 ifeq (${DEBDOCTYPE},)
@@ -35,7 +31,7 @@
 DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
 DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
 ifndef PACKAGESUFFIX
-export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
+export PACKAGESUFFIX=-$(shell echo ${DEB_UPSTREAM_MAIN_VERSION} | sed -e 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
 # Get directories
 INSTALL_DIR_ARCH=${CURDIR}/debian/tmp
@@ -77,7 +73,8 @@
 DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
-	dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,//g' -e 's/,/ /g'))
+	dpkg-buildflags --get LDFLAGS | \
+	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
 
 # Until we switch to shorthand dh, we need to set this ourselves for
 # reproducible builds
@@ -90,6 +87,7 @@
 #
 
 clean: clean-patched clean-make-files
+	$(RM) debian/tmp2
 	dh_clean
 	# Make sure the debconf translations are always up-to-date
 	debconf-updatepo
@@ -209,12 +207,13 @@
 	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
 	sed -e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' -e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' $(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}
-	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/environmentoptions.xml
-	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus-${DEB_UPSTREAM_MAIN_VERSION}/helpoptions.xml
+	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
+	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/helpoptions.xml
 	# Install contributer list
 	${MKDIR} ${DOC_DIR_ARCH}/docs
 	${CP} -t ${DOC_DIR_ARCH}/docs \
 		$(CURDIR)/docs/lazdoc.css \
 		$(CURDIR)/docs/Contributors.txt \
 		$(CURDIR)/docs/contributors.utf8 \
+		$(CURDIR)/docs/acknowledgements.txt
