## lazarus 1.6.4+dfsg

=== debian/changelog ===
lazarus (1.6.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Apr 2017 06:19:10 +0200

lazarus (1.6.2+dfsg-2) unstable; urgency=medium

  * Add fix-fpdoc-crashes-on-lazarus-documentation.patch to prevent the
    lazarus-doc-1.6 package from being nearly empty (Closes: #858553)

 -- Paul Gevers <elbrus@debian.org>  Wed, 05 Apr 2017 20:46:22 +0200
